Qt 5.11 | Qt 3D | C++ Classes | QBackendNodeMapper

Qt 5.11.3 Reference Documentation

# QBackendNodeMapper Class

(Qt3DCore::QBackendNodeMapper)

Creates and maps backend nodes to their respective frontend nodes. More...

Header: | #include <Qt3DCore/QBackendNodeMapper>
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Functions

virtual Qt3DCore::QBackendNode * | create(const Qt3DCore::QNodeCreatedChangeBasePtr &change) const = 0
virtual void | destroy(Qt3DCore::QNodeId id) const = 0
virtual Qt3DCore::QBackendNode * | get(Qt3DCore::QNodeId id) const = 0

## Detailed Description

Creates and maps backend nodes to their respective frontend nodes.

## Member Function Documentation

### `[pure virtual]` Qt3DCore::QBackendNode *QBackendNodeMapper::create(const Qt3DCore::QNodeCreatedChangeBasePtr &change) const

change

Returns created node.

### `[pure virtual]` void QBackendNodeMapper::destroy(Qt3DCore::QNodeId id) const

Destroys the backend node for the given node id.

### `[pure virtual]` Qt3DCore::QBackendNode *QBackendNodeMapper::get(Qt3DCore::QNodeId id) const

Returns backend node for the given node id.